Skip to main content
POST
/
schedule
/
v1
/
agreement-employees
Create employee agreement
curl --request POST \
  --url https://api-{region}.sesametime.com/schedule/v1/agreement-employees \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startDate": "2023-12-25"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Data to create an agreement

agreementId
string<uuid>
required

Agreement UUID

employeeId
string<uuid>
required

Employee UUID

startDate
string<date>
required

Start date

Response

200 - application/json

Employee agreement created

id
string<uuid>